Package net.shibboleth.idp.profile

# Class IdPAuditFields

java.lang.Object
net.shibboleth.idp.profile.IdPAuditFields

public final class IdPAuditFields extends Object
Constants to use for IdP audit logging fields stored in an `AuditContext`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ATTRIBUTES`
Attributes field.
`static final String`
`DESTINATION_URL`
Destination URL field.
`static final String`
`EVENT_TIME`
Event timestamp field.
`static final String`
`EVENT_TYPE`
Event type field.
`static final String`
`HASHED_SESSION_ID`
Hashed session ID field.
`static final String`
`HASHED_USERNAME`
Hashed username field.
`static final String`
`IMPERSONATING_USERNAME`
Impersonating username field.
`static final String`
`PROFILE`
Profile field.
`static final String`
`RELYING_PARTY_CONFIG`
`RelyingPartyConfiguration` bean ID field.
`static final String`
`REMOTE_ADDR`
Remote address field.
`static final String`
`SESSION_ID`
Session ID field.
`static final String`
`START_TIME`
Event starting timestamp field.
`static final String`
`URI`
URI field.
`static final String`
`URL`
URL field.
`static final String`
`USER_AGENT`
User Agent field.
`static final String`
`USERNAME`
Username field.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`IdPAuditFields()`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### START_TIME

@Nonnull @NotEmpty public static final String START_TIME
Event starting timestamp field. @since 4.0.0

See Also:
  - Constant Field Values

### EVENT_TIME

@Nonnull @NotEmpty public static final String EVENT_TIME
Event timestamp field.

See Also:
  - Constant Field Values

### EVENT_TYPE

@Nonnull @NotEmpty public static final String EVENT_TYPE
Event type field.

See Also:
  - Constant Field Values

### URL

@Nonnull @NotEmpty public static final String URL
URL field.

See Also:
  - Constant Field Values

### URI

@Nonnull @NotEmpty public static final String URI
URI field.

See Also:
  - Constant Field Values

### DESTINATION_URL

@Nonnull @NotEmpty public static final String DESTINATION_URL
Destination URL field. @since 4.0.0

See Also:
  - Constant Field Values

### SESSION_ID

@Nonnull @NotEmpty public static final String SESSION_ID
Session ID field.

See Also:
  - Constant Field Values

### HASHED_SESSION_ID

@Nonnull @NotEmpty public static final String HASHED_SESSION_ID
Hashed session ID field.

See Also:
  - Constant Field Values

### REMOTE_ADDR

@Nonnull @NotEmpty public static final String REMOTE_ADDR
Remote address field.

See Also:
  - Constant Field Values

### USER_AGENT

@Nonnull @NotEmpty public static final String USER_AGENT
User Agent field.

See Also:
  - Constant Field Values

### RELYING_PARTY_CONFIG

@Nonnull @NotEmpty public static final String RELYING_PARTY_CONFIG
`RelyingPartyConfiguration` bean ID field. @since 5.2.0

See Also:
  - Constant Field Values

### PROFILE

@Nonnull @NotEmpty public static final String PROFILE
Profile field.

See Also:
  - Constant Field Values

### USERNAME

@Nonnull @NotEmpty public static final String USERNAME
Username field.

See Also:
  - Constant Field Values

### HASHED_USERNAME

@Nonnull @NotEmpty public static final String HASHED_USERNAME
Hashed username field.

See Also:
  - Constant Field Values

### IMPERSONATING_USERNAME

@Nonnull @NotEmpty public static final String IMPERSONATING_USERNAME
Impersonating username field.

See Also:
  - Constant Field Values

### ATTRIBUTES

@Nonnull @NotEmpty public static final String ATTRIBUTES
Attributes field.

See Also:
  - Constant Field Values

## Constructor Details

### IdPAuditFields

private IdPAuditFields()
Constructor.